﻿using Borepin.Model;
using Prism.Mvvm;

namespace Borepin.ViewModel
{
    public class ServerListItemViewModel : BindableBase
    {
        public ServerListItemViewModel(Connection instance)
        {
            _Instance = instance;
            Address = instance.Address.ToString();
        }

        private Connection _Instance;
        public Connection Instance
        {
            get => _Instance;
            set => SetProperty(ref _Instance, value);
        }

        private string _Address;
        public string Address
        {
            get => _Address;
            set => SetProperty(ref _Address, value);
        }
    }
}
